List tag groups
curl --request GET \
--url https://api.mentionlab.io/api/v1/tag-groups \
--header 'x-project-id: <x-project-id>'import requests
url = "https://api.mentionlab.io/api/v1/tag-groups"
headers = {"x-project-id": "<x-project-id>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-project-id': '<x-project-id>'}};
fetch('https://api.mentionlab.io/api/v1/tag-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagType": "query",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"color": "<string>"
}
]{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Tag Groups
List tag groups
Returns the list of tag groups of one taxonomy.
GET
/
api
/
v1
/
tag-groups
List tag groups
Headers
Project ID to specify the project context
Query Parameters
Which tag taxonomy to list the groups of.
Available options:
query, execution Response
Which tag taxonomy this folder organizes: "query" or "execution". Immutable.
Available options:
query, execution Color of the tag group in hex format.